VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
ParameterChanges Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of IParameterChanges - not threadsave!. More...

`#include <parameterchanges.h>`

Inheritance diagram for ParameterChanges:

## Public Member Functions
| ParameterChanges (int32 maxParameters=0)
virtual | ~ParameterChanges ()
void | clearQueue ()
void | setMaxParameters (int32 maxParameters)
int32 | getParameterCount () SMTG_OVERRIDE
IParamValueQueue * | getParameterData (int32 index) SMTG_OVERRIDE
IParamValueQueue * | addParameterData (const ParamID &pid, int32 &index) SMTG_OVERRIDE

## Protected Attributes
std::vector< IPtr < ParameterValueQueue > > | queues
int32 | usedQueueCount {0}

## Additional Inherited Members
Static Public Attributes inherited from IParameterChanges
static const FUID | iid

## Detailed Description

Implementation's example of IParameterChanges - not threadsave!.

## Constructor & Destructor Documentation

ParameterChanges | ( | int32 | maxParameters = `0` | ) |

~ParameterChanges | ( |  | ) |
| virtual

## Member Function Documentation

void clearQueue | ( |  | ) |

void setMaxParameters | ( | int32 | maxParameters | ) |

int32 getParameterCount | ( |  | ) |
| virtual

Implements IParameterChanges.

IParamValueQueue * getParameterData | ( | int32 | index | ) |
| virtual

Implements IParameterChanges.

IParamValueQueue * addParameterData | ( | const ParamID & | pid,
|  | int32 & | index
| ) |  |
| virtual

Implements IParameterChanges.

## Member Data Documentation

std::vector<IPtr<ParameterValueQueue> > queues
| protected

int32 usedQueueCount {0}
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.